On 7/6/2011 4:32 PM, Adam Young wrote:



Some issues:

1. The check_required() is only called in blur events. It's not called on Add/Update.

To test, open user's adder dialog, don't enter anything, just click Add. The server will return an error (i.e. check_required() not called).

Another test, edit an existing user, empty the first name, click somewhere else, an error will appear because it loses focus. Then click Update, the server will return an error (i.e. check_required() not called).

2. In IPA.entity_select_widget the check_required() is only called if the widget is editable.

To test, open IPA Server -> Configuration, set the Default user group to empty, then click somewhere else. There's no validation error.

3. Also in IPA.entity_select_widget the check_required() is only called from the text input's blur event, not from the drop down list. This leads to strange behavior:

Open the hosts' adder dialog, click the drop down list, the validation error will appear before the user has a chance to select a value.

4. For consistency, the multivalued_text and textarea widgets can be modified to call the create_error_link() to create the error_link element.

5. There's a jslint warning.

--
Endi S. Dewata

_______________________________________________
Freeipa-devel mailing list
Freeipa-devel@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-devel

Reply via email to